
<!-- this is the form! -->
<div class="container w-50">
  <img class="form-img border border-dark rounded-circle" *ngIf="!url" src="../assets/form-img.png" alt="302labs" title="302labs">  
  <img class="form-img border border-dark rounded-circle" *ngIf="url" [src]="url" alt="302labs" [title]="companynm">
  



  <div class="btn-group btn-group-toggle" data-toggle="buttons">
    <label class="btn btn-secondary" [class.btn-warning]="checked">
      <input type="radio" name="options" id="option1" autocomplete="off" (click)="signUp()"> SignUp
    </label>
    <label class="btn btn-secondary" [class.btn-warning]="!checked">
      <input type="radio" name="options" id="option2" autocomplete="off" (click)="logIn()"> LogIn
    </label>
  </div>


  <form  [formGroup]="LogInForm" *ngIf="!checked">
    <!-- this for email -->
    <div class="form-group">
      <label for="exampleInputEmail1">Email address</label>
      <input type="email" formControlName="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Enter email">
    </div>


    <!-- this for password -->
    <div class="form-group">
      <label for="exampleInputPassword1">Password</label>
      <input type="password" class="form-control" formControlName="password" id="exampleInputPassword1" placeholder="Password">
    </div>


    <!-- this for checkbox -->
    <div class="form-group form-check">
      <input type="checkbox" class="form-check-input" formControlName="checkbox" id="exampleCheck1">
      <label class="form-check-label" for="exampleCheck1">Check me out</label>
    </div>

    
    <!-- this for registaration button -->
  
    
    <button type="submit" [routerLink]="'/welcome'" (click)="logInGet()" (click)="getData()" class="w-100 btn btn-primary">Log In</button>

  </form>


  
  <form  [formGroup]="registarationform" *ngIf='checked'>

    <!-- this for email -->
    <div class="form-group">
      <label for="exampleInputEmail1">Email address</label>
      <input type="email" formControlName="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Enter email">
    </div>

    <!-- this for company name -->
    <div class="form-group">
      <label for="exampleInputCompanyName">Company Name</label>
      <input type="text" class="form-control" formControlName="companyname" id="exampleInputCompanyName" aria-describedby="companynameHelp" placeholder="Enter The Name Of Your Company">
    </div>

    <!-- this field for room number -->
    <div class="form-group">
      <label for="exampleInputRoomNumber">Room Number</label>
      <input type="text" class="form-control" formControlName="roomnumber" id="exampleInputRoomNumber" aria-describedby="roomnumberHelp" placeholder="Please Enter Your Room Number">
    </div>
<hr>
    <!-- this for company logo -->
    <div class="input-group form-group mb-3">
      <div class="custom-file">
        <div #imgupload class="imgupload rounded-circle"></div>
        <input type="file" formControlName="avatar" (change)="getAvatar($event)" class="form-control custom-file-input" id="inputGroupFile02">
        <label class="custom-file-label" for="inputGroupFile02">Choose a Logo / Avatar</label>
      </div>
    </div>

    <!-- this for password -->
    <div class="form-group">
      <label for="exampleInputPassword1">Password</label>
      <input type="password" class="form-control" formControlName="password" id="exampleInputPassword1" placeholder="Password">
    </div>

    <!-- this for confirm password -->
    <div class="form-group">
        <label for="exampleInputPasswordCon">Confirm Password</label>
        <input type="password" class="form-control" (keyup)="confirmpassword()" formControlName="confirmationpassword" id="exampleInputPasswordCon" placeholder="Confirm Your Password">
    </div>
    {{this.confirmation}}

    <!-- this for checkbox -->
    <div class="form-group form-check">
      <input type="checkbox" class="form-check-input" formControlName="checkbox" id="exampleCheck1">
      <label class="form-check-label" for="exampleCheck1">Check me out</label>
    </div>

    <!-- this for registaration button -->
    <button type="submit" (click)="save()" (click)="sendData()" class="w-100 btn btn-primary">Registaration</button>
    
  </form>
</div>

<!-- the end of the form! -->

<div class="layout"></div>

<!-- this is the carousel in the layout! -->
<app-carouselforhome></app-carouselforhome>


